Bug 1171341 - Review Request: nodejs-dot-case - Dot case a string
Summary: Review Request: nodejs-dot-case - Dot case a string
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1171302
Blocks: 1171350
TreeView+ depends on / blocked
 
Reported: 2014-12-05 22:36 UTC by Piotr Popieluch
Modified: 2015-02-15 20:40 UTC (History)
2 users (show)

Fixed In Version: nodejs-dot-case-1.0.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:56:41 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-05 22:36:20 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-dot-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-dot-case-1.0.1-1.fc21.src.rpm
Description: Dot case a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-12 11:01:59 UTC
Please add following to all packages where you are using mocha in %check
BuildRequires:  npm(mocha)
All such packages are failing to build in mock.


I have done below review by adding above

Review:
+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-dot-case.noarch: W: only-non-binary-in-usr-lib
nodejs-dot-case.noarch: W: dangling-symlink /usr/lib/node_modules/dot-case/node_modules/sentence-case /usr/lib/node_modules/sentence-case
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 15bea0bbba49ecb65e6ee7acdf7a74743034cea13f9023cf7e4c1d9f386f2e82
upstream tarball:  15bea0bbba49ecb65e6ee7acdf7a74743034cea13f9023cf7e4c1d9f386f2e82

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

Suggestions:
1)  Add BR: npm(mocha) to succeed mock build

2) rm -rf node_modules in %prep

Please provide updated package and I will approve.

Comment 2 Piotr Popieluch 2014-12-14 12:08:48 UTC
Hi Parag, thank you again for review.

I've updated all nodejs-*case packages to include BR mocha. They now all build in mock. I have not bumped versions.

Comment 3 Parag AN(पराग) 2014-12-19 16:06:52 UTC
APPROVED.

Comment 4 Piotr Popieluch 2014-12-19 16:18:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-dot-case
Short Description: Dot case a string
Upstream URL: https://github.com/blakeembrey/dot-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 5 Gwyn Ciesla 2014-12-19 16:33:31 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-12-19 21:02:41 UTC
nodejs-dot-case-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-dot-case-1.0.1-1.fc20

Comment 7 Fedora Update System 2014-12-19 21:03:07 UTC
nodejs-dot-case-1.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-dot-case-1.0.1-1.fc21

Comment 8 Fedora Update System 2014-12-21 06:37:37 UTC
nodejs-dot-case-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Piotr Popieluch 2014-12-27 00:56:41 UTC
package built, closing.

Comment 10 Fedora Update System 2014-12-29 09:57:43 UTC
nodejs-dot-case-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-12-29 10:01:32 UTC
nodejs-dot-case-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-01-27 21:38:45 UTC
nodejs-dot-case-1.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-dot-case-1.0.1-1.el7

Comment 13 Fedora Update System 2015-02-15 20:40:52 UTC
nodejs-dot-case-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.